[#arg-textarea]
= Input: Textarea

OliveTin supports multi-line text inputs, which can be useful for longer messages or scripts. You should set your argument `type` to `raw_string_multiline` to use these.

As the name implies, textareas are raw, and are NOT validated by any regex.

[source,yaml]
.`config.yaml`
----
actions:
  - title: Save text to file
    shell: echo "$CONTENT" > file
    arguments:
      - type: raw_string_multiline
        name: content
----

This renders like this;

image::args/textarea/multiline-text.png[]
